Subject: Re: [PATCH] gnu: Remove unnecessary sway dependency on elogind.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 20 Jun 2022 11:36:40 +0200

Hi,

note that "unnecessary" is quite judgmental.  Why is it unnecessary?
By default, guix tends to include "optional" inputs such as elogind.

Am Sonntag, dem 19.06.2022 um 17:39 +0300 schrieb muradm:
> * gnu/packages/wm.scm (sway): Cleanup dependencies.
The ChangeLog should explicitly say what is done, i.e. (sway)[inputs]:
Remove elogind.

What exactly is the goal here?  As far as I'm aware sway works either
with *logind or seatd or by having itself be setuid.  If the aim is to
support seatd-based services, I think having a sway-with-seatd variant
would be better.

WDYT?